#ifndef CRIDER_H_INCLUDED
#define CRIDER_H_INCLUDED

#include <irrlicht.h>
#include <cstdlib>

using namespace irr;

class CRider
{
    public:

	CRider(scene::ISceneManager*,video::IVideoDriver*);

	~CRider();

	enum
    {
        RIDER_TYPE_SNOWBOARDER_HOMME = 1,
        RIDER_TYPE_SNOWBOARDER_FEMME = 2,
        RIDER_TYPE_SKIEUR_HOMME = 3,
        RIDER_TYPE_SKIEUR_FEMME = 4
    };

	void SetType(u32);
    u32 GetType();

	void SetPosition(core::vector3df);
	core::vector3df GetPosition();
    void DrawRider();

	private:

    core::vector3df position;
    u32 type;
	scene::ISceneManager* smgr;
	video::IVideoDriver* driver;
	scene::IAnimatedMesh* meshRider;
    scene::IMeshSceneNode* nodeRider;
    video::SMaterial material;
};


#endif // CRIDER_H_INCLUDED
